mia-wavelettrans
Prev | Miscellaneous programs | Next

### mia-wavelettrans

#### Sysnopis:

`mia-wavelettrans` {-i `string`} {-o `string`} [ `options` ...]

#### Description:

This program runs the a column-wise discret wavelet forward transform on the data given by an input text file.

#### Options:

#### File-IO

-i, --in-file=(input, required); string

  input data set

-o, --out-file=(output, required); string

  output data set

-s, --save-wave=(output); string

  base name of the output files that will store the wavelet coefficients as matrix

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Wavelet

-w, --wavelet=c-daubechies; dict

  wavelet to be used

  haar: | HAAR wavelet
  c-haar: | HAAR wavelet (centered)
  daubechies: | Daubechies wavelet
  c-daubechies: | Daubechies wavelet (centered)
  bspline: | B-Spline wavelet
  c-bspline: | B-Spline wavelet (centered)

-m, --member=10; int

  wavelet member ID

#### Example:

    mia-wavelettrans

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-myowavelettest | Home | Creation, analysis, and filtering of triangular 3D meshes